package cn.com.qmth.stmms.biz.exam.service;

import java.util.List;

import cn.com.qmth.stmms.biz.exam.bean.ScoreVerifyVo;
import cn.com.qmth.stmms.biz.exam.model.ScoreVerify;
import cn.com.qmth.stmms.biz.exam.query.ScoreVerifyQuery;

public interface ScoreVerifyService {

	List<ScoreVerifyVo> findByQuery(ScoreVerifyQuery req);

	Integer countByQuery(Integer examId, Integer userId);

	void createQuery(ScoreVerifyQuery query);

	Integer needVerifyCount(Integer examId, Integer userId);

	List<ScoreVerifyVo> findFlagged(Integer examId, Integer userId);

	List<ScoreVerifyVo> needVerify(Integer examId, Integer userId);

	void tag(Integer examId, Integer userId, Integer studentId, boolean isTag);

	ScoreVerify findByExamIdAndUserIdAndStudentId(Integer examId, Integer userId, Integer studentId);

	void reset(Integer examId, Integer userId);

	Boolean existByExamIdAndUserId(Integer examId, Integer userId);

	void view(Integer examId, Integer userId, Integer studentId);
}
